/*-----------------------------------------------------------------------
				FedTerm version 1.60 - Windows Federation 2 Client
			  Copyright (c) 1995-2006 Interactive Broadcasting Ltd

	This program is free software: you can redistribute it and /or modify 
	it under the terms of the GNU General Public License as published by 
	the Free Software Foundation: either version 2 of the License, or (at 
	your option) any later version.

	This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY: without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
	General Public License for more details.

	You should have received a copy of the GNU General Public License 
	along with this program; if not, write to the Free Software Foundation, 
	Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307 USA

	Program written and compiled with Borland C++ Builder 5
	Programming and design: 	Alan Lenton
	Home website:					www.ibgames.net
-----------------------------------------------------------------------*/

#ifndef FRIENDS_H
#define FRIENDS_H

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

#include <string>

class TFriendsForm : public TForm
{
__published:	// IDE-managed Components
	TPanel *MainPanel;
	TGroupBox *GroupBox1;
	TCheckBox *GHogCheck;
	TCheckBox *CommanderCheck;
	TCheckBox *CaptainCheck;
	TCheckBox *AdventCheck;
	TCheckBox *TraderCheck;
	TCheckBox *MerchantCheck;
	TCheckBox *IndustrialistCheck;
	TCheckBox *ManufacturerCheck;
	TCheckBox *FinancierCheck;
	TCheckBox *FounderCheck;
	TCheckBox *EngineerCheck;
	TCheckBox *MogulCheck;
	TCheckBox *TechnoCheck;
	TCheckBox *MagnateCheck;
	TCheckBox *SyndicratCheck;
	TGroupBox *GroupBox2;
	TListBox *FriendsList;
	TButton *AddBtn;
	TButton *DeleteBtn;
	TEdit *NewEdit;
	TPanel *Panel1;
	TCheckBox *AudioCheck;
	TButton *OKBtn;
	TButton *CancelBtn;
	TCheckBox *PlutocratCheck;
	void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall OKBtnClick(TObject *Sender);
	void __fastcall AddBtnClick(TObject *Sender);
	void __fastcall DeleteBtnClick(TObject *Sender);
private:
public:
	__fastcall TFriendsForm(TComponent* Owner);

	void	AddName(const std::string& name);
	void	Clear();
	void	SetAudio()				{ AudioCheck->Checked = true;	}
	void	SetRank(int which);
};

//---------------------------------------------------------------------------
extern PACKAGE TFriendsForm *FriendsForm;
//---------------------------------------------------------------------------

#endif


